# List Recordings

In order to retrieve all recordings  you can use this request.

## List recordings

> List recordings

```json
{"openapi":"3.0.3","info":{"title":"Voice","version":"v1"},"tags":[],"servers":[{"url":"https://api.bird.com","description":"Production API"}],"security":[{"accessKey":[]}],"components":{"securitySchemes":{"accessKey":{"description":"Uses the Authorization header: 'AccessKey ' followed by your access key token (e.g., 'Authorization: AccessKey AbCdEfGhIjKlMnOpQrStUvWxYzAbCdEfGhIj')","scheme":"AccessKey","type":"http"}},"parameters":{"queryLimit":{"name":"limit","description":"Limits the number of results to return","in":"query","schema":{"type":"integer","minimum":1,"maximum":99,"default":10}},"queryCursor":{"name":"pageToken","description":"Pagination token that keeps of track of the current position in the list","in":"query","schema":{"type":"string","maxLength":8000}},"sourceId":{"name":"sourceId","in":"query","schema":{"$ref":"#/components/schemas/sourceId"}},"channelId":{"name":"channelId","in":"query","schema":{"$ref":"#/components/schemas/channelId"}},"parameters-callId":{"name":"id","in":"query","schema":{"$ref":"#/components/schemas/callId"}},"recordingDirection":{"name":"direction","description":"Direction of the call","in":"query","schema":{"type":"string","enum":["incoming","outgoing"]}},"queryStartAt":{"name":"startAt","description":"Start date for the query","in":"query","schema":{"type":"string","format":"date-time"}},"queryEndAt":{"name":"endAt","description":"End date for the query","in":"query","schema":{"type":"string","format":"date-time"}},"from":{"name":"from","description":"From number of the call","in":"query","schema":{"type":"string"}},"to":{"name":"to","description":"To number of the call","in":"query","schema":{"type":"string"}}},"schemas":{"sourceId":{"title":"Source ID","description":"The ID for the source.","type":"string","format":"uuid"},"channelId":{"title":"Channel ID","description":"The ID for the channel.","type":"string","format":"uuid"},"callId":{"title":"Call ID","description":"The ID for the call.","type":"string","format":"uuid"},"RecordingStatus":{"type":"string","enum":["accepted","completed","ongoing","paused","available","absent","failed"]},"RecordingsList":{"type":"object","title":"RecordingsList","description":"A list of recordings","properties":{"results":{"type":"array","items":{"$ref":"#/components/schemas/Recording"}}}},"Recording":{"type":"object","additionalProperties":false,"properties":{"id":{"$ref":"#/components/schemas/recordingId"},"source":{"$ref":"#/components/schemas/RecordingSource"},"sourceId":{"$ref":"#/components/schemas/sourceId"},"channelId":{"$ref":"#/components/schemas/channelId"},"status":{"$ref":"#/components/schemas/RecordingStatus"},"direction":{"$ref":"#/components/schemas/RecordingDirection"},"originator":{"$ref":"#/components/schemas/CallIdentifier"},"receiver":{"$ref":"#/components/schemas/CallIdentifier"},"origin":{"$ref":"#/components/schemas/RecordingOrigin"},"duration":{"type":"integer","format":"int64"},"stereo":{"type":"boolean"},"format":{"type":"string"},"transcription":{"type":"boolean"},"conferenceId":{"$ref":"#/components/schemas/conferenceId"},"url":{"type":"string"},"roomInfoUrl":{"type":"string"},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"},"endedAt":{"type":"string","format":"date-time"},"startedAt":{"type":"string","format":"date-time"}},"required":["id","source","sourceId","status","origin","stereo","format","transcription","createdAt","updatedAt"]},"recordingId":{"title":"Recording ID","description":"The ID for the recording.","type":"string","format":"uuid"},"RecordingSource":{"type":"string","enum":["call","conference"]},"RecordingDirection":{"type":"string","enum":["incoming","outgoing"]},"CallIdentifier":{"type":"object","title":"ChannelCallOriginatorOrReceiver","additionalProperties":false,"properties":{"contact":{"$ref":"#/components/schemas/Contact"},"number":{"$ref":"#/components/schemas/Number"}},"required":["number"]},"Contact":{"type":"object","title":"Contact","additionalProperties":false,"properties":{"id":{"type":"string"},"identifierKey":{"type":"string"},"identifierValue":{"type":"string"}},"required":["id","identifierKey","identifierValue"]},"Number":{"type":"object","title":"number","additionalProperties":false,"properties":{"type":{"type":"string","enum":["pstn","webrtc"]},"number":{"type":"string"},"anonymous":{"type":"boolean"},"callerIdName":{"type":"string"},"identity":{"type":"string"},"countryIsoCode":{"type":"string"}},"required":["type","number"]},"RecordingOrigin":{"type":"string","enum":["call-command-record","call-command-record-call","create-call","bridge-call"]},"conferenceId":{"title":"Conference ID","description":"The ID for the conference.","type":"string","format":"uuid"},"Pagination":{"type":"object","properties":{"nextPageToken":{"type":"string","description":"The token that can be passed as pageToken in URL to retrieve the next set of results. If missing, no more results to display."}}}},"responses":{"Error":{"description":"Not found","content":{"application/json":{"schema":{"type":"object","additionalProperties":false,"required":["code","message"],"properties":{"code":{"type":"string","minLength":5},"message":{"type":"string","minLength":5},"details":{"type":"object","additionalProperties":true}}}}}}}},"paths":{"/workspaces/{workspaceId}/recordings":{"get":{"summary":"List recordings","description":"List recordings","operationId":"listRecordings","tags":["voice-recordings"],"parameters":[{"$ref":"#/components/parameters/queryLimit"},{"$ref":"#/components/parameters/queryCursor"},{"$ref":"#/components/parameters/sourceId"},{"$ref":"#/components/parameters/channelId"},{"$ref":"#/components/parameters/parameters-callId"},{"$ref":"#/components/parameters/recordingDirection"},{"$ref":"#/components/parameters/queryStartAt"},{"$ref":"#/components/parameters/queryEndAt"},{"$ref":"#/components/parameters/from"},{"$ref":"#/components/parameters/to"},{"name":"status","in":"query","schema":{"$ref":"#/components/schemas/RecordingStatus"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/RecordingsList"},{"$ref":"#/components/schemas/Pagination"}]}}}},"404":{"$ref":"#/components/responses/Error"}}}}}}
```

{% tabs %}
{% tab title="Request" %}

```
curl "/workspaces/{workpaceId}/recordings" \
     -H 'Authorization: AccessKey YOUR_SECRET_TOKEN'
```

{% endtab %}

{% tab title="Response" %}

```
{
  "results": [
    {
      "id": "5b74ee9e-9d45-473a-82cd-f1f7feea6bbd",
      "sourceId": "50fa2203-66c2-4820-864a-1a8002952f4e",
      "channelId": "880d8171-cbab-47bb-81b6-b1a0902da136",
      "originator": {
        "number": {
          "type": "pstn",
          "number": "3197004499436",
          "identity": "+3197004499436",
          "countryIsoCode": "NL"
        }
      },
      "receiver": {
        "contact": {
          "id": "225dcb7c-efbd-4288-b78d-93fba8743dd0",
          "identifierKey": "phonenumber",
          "identifierValue": "+351919150029"
        },
        "number": {
          "type": "pstn",
          "number": "351919150029",
          "countryIsoCode": "PT"
        }
      },
      "source": "call",
      "direction": "outgoing",
      "origin": "create-call",
      "status": "available",
      "duration": 29,
      "format": "mp3",
      "stereo": false,
      "transcription": false,
      "url": "https://regional--voice-recordings--637323691990--euw1.s3.eu-west-1.amazonaws.com/workspaceID%3A8bc02f53-87ac-48d2-b4fd-c2cf856a305f/sourceID%3A50fa2203-66c2-4820-864a-1a8002952f4e/5b74ee9e-9d45-473a-82cd-f1f7feea6bbd.mp3?X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Credential=ASIAZIY3TY7LJ5FTXZNH%2F20231024%2Feu-west-1%2Fs3%2Faws4_request&X-Amz-Date=20231024T192759Z&X-Amz-Expires=600&X-Amz-Security-Token=IQoJb3JpZ2luX2VjECMaCWV1LXdlc3QtMSJHMEUCICn7aCxvGiqRhraKX%2BYMxuXotSVXNhaYWL9QLFZObgzEAiEAs9JvMn%2FmD89hj0GMqMEIvyWtXAS%2FZ3N2SMqeG8n1vpsq7QMITBABGgw2MzczMjM2OTE5OTAiDPTgnFfpK8sIuKNDhirKA7W3WYuW2lc100QOlZwHqjabQMRTUym7FSUg6P7pICk1%2FjWS%2FzIJSQuzcke%2BfsEJZoHcoC7UAN8gW5SnfWZcMTq%2FeSpeAR8XWzW7fbF41gc8EeAJ6Jon0yFasS931L9n0jSSDrXcxvj4qHkLfbvTL5xfmxFqsZ86LyNRv1Jz2M7UCTiWRbZidA31Bpnr%2FRpArDd2jH7iPqsV8tnGGTqgXV7QoQT5hTmxuNCYmAc7qqWOb4xsj764eCCGRCexdmZVLHc6EpkDT2rGnmoaKaxg7QY9HVnk980pCwzAmLXGVOBOKenEf4VOve66nIiCXK%2FhWAThcPbuj8I4cCZxUc7KqmdA693RaY24F99WraNoBhEHowFKRWOrz78O2PHiz9ulDeHAQBYxKmptwqizuuNVi4dYiaB%2BErp0OvfQdu8A1W8DRwJnpbfbIP1Za1LSdH6%2FJMXy%2BfIOO%2FfE9S%2FExEHBUBXzZvOXFqKe4StxpUSq3y%2F2tNeQmisFo9fRBMF0FMJI8ovM94bFjlcTOYm6JwXoy%2BHq0ULuaEVhF5M3yBUV63zzungZBH%2BxAXwBHDY2qQUNmMHP7uhq%2BRmKuk9ijkKK2D7FqlbfPK7y0svsMNmg4KkGOqUBEookm2SQ2xZr3XEMrLeNVGQISomhQXcVn2oVS2F4Q8U3L%2FeO5fEwYus%2BYaNiZUbY2jG31qHoYLT%2BvonZSUfLZrilgPbKQvh2SXdtZFKDo%2BHdwYXt%2FZIomNXUXMZz1QflKHLSkzGwaCH7Ex9ECxPDgPjVqA25uPPsmlsti7qzlXvymHRFNvRn1fu%2F207PUCmro4ejXmjVPdMXr5FBsRChI2sZli8z&X-Amz-SignedHeaders=host&x-id=GetObject&X-Amz-Signature=9a32932db1a464460cb29efb55347b0725b0f73ca7303eb6fd194ddd32a5f0e4",
      "createdAt": "2023-10-23T15:55:08.234Z",
      "updatedAt": "2023-10-23T15:55:38.278Z",
      "startedAt": "2023-10-23T15:55:08.121Z",
      "endedAt": "2023-10-23T15:55:38.101Z"
    }
  ]
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bird.com/api/voice-api/recordings-api/list-recordings.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
